Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl.parser
Class XmlDisplayer

    java.lang.Object
      org.openxri.xri3.impl.parser.XmlDisplayer

All Implemented Interfaces:
  Visitor

    public class XmlDisplayer

extends java.lang.Object
implements Visitor

Constructor Summary
`XmlDisplayer()`

Method Summary
`java.lang.Object` | `visit_ALPHA(Parser.ALPHA rule)`
`java.lang.Object` | `visit_BIT(Parser.BIT rule)`
`java.lang.Object` | `visit_CHAR(Parser.CHAR rule)`
`java.lang.Object` | `visit_CR(Parser.CR rule)`
`java.lang.Object` | `visit_CRLF(Parser.CRLF rule)`
`java.lang.Object` | `visit_CTL(Parser.CTL rule)`
`java.lang.Object` | `visit_dec_octet(Parser.dec_octet rule)`
`java.lang.Object` | `visit_DIGIT(Parser.DIGIT rule)`
`java.lang.Object` | `visit_DQUOTE(Parser.DQUOTE rule)`
`java.lang.Object` | `visit_gcs_char(Parser.gcs_char rule)`
`java.lang.Object` | `visit_gen_delims(Parser.gen_delims rule)`
`java.lang.Object` | `visit_global_subseg(Parser.global_subseg rule)`
`java.lang.Object` | `visit_h16(Parser.h16 rule)`
`java.lang.Object` | `visit_HEXDIG(Parser.HEXDIG rule)`
`java.lang.Object` | `visit_HTAB(Parser.HTAB rule)`
`java.lang.Object` | `visit_iauthority(Parser.iauthority rule)`
`java.lang.Object` | `visit_ifragment(Parser.ifragment rule)`
`java.lang.Object` | `visit_ihier_part(Parser.ihier_part rule)`
`java.lang.Object` | `visit_ihost(Parser.ihost rule)`
`java.lang.Object` | `visit_IP_literal(Parser.IP_literal rule)`
`java.lang.Object` | `visit_ipath_abempty(Parser.ipath_abempty rule)`
`java.lang.Object` | `visit_ipath_abs(Parser.ipath_abs rule)`
`java.lang.Object` | `visit_ipath_empty(Parser.ipath_empty rule)`
`java.lang.Object` | `visit_ipath_rootless(Parser.ipath_rootless rule)`
`java.lang.Object` | `visit_ipchar(Parser.ipchar rule)`
`java.lang.Object` | `visit_iprivate(Parser.iprivate rule)`
`java.lang.Object` | `visit_IPv4address(Parser.IPv4address rule)`
`java.lang.Object` | `visit_IPv6address(Parser.IPv6address rule)`
`java.lang.Object` | `visit_IPvFuture(Parser.IPvFuture rule)`
`java.lang.Object` | `visit_iquery(Parser.iquery rule)`
`java.lang.Object` | `visit_ireg_name(Parser.ireg_name rule)`
`java.lang.Object` | `visit_IRI(Parser.IRI rule)`
`java.lang.Object` | `visit_isegment_nz(Parser.isegment_nz rule)`
`java.lang.Object` | `visit_isegment(Parser.isegment rule)`
`java.lang.Object` | `visit_iunreserved(Parser.iunreserved rule)`
`java.lang.Object` | `visit_iuserinfo(Parser.iuserinfo rule)`
`java.lang.Object` | `visit_lcs_char(Parser.lcs_char rule)`
`java.lang.Object` | `visit_LF(Parser.LF rule)`
`java.lang.Object` | `visit_literal_nc(Parser.literal_nc rule)`
`java.lang.Object` | `visit_literal(Parser.literal rule)`
`java.lang.Object` | `visit_local_subseg(Parser.local_subseg rule)`
`java.lang.Object` | `visit_ls32(Parser.ls32 rule)`
`java.lang.Object` | `visit_LWSP(Parser.LWSP rule)`
`java.lang.Object` | `visit_NumericValue(Parser.NumericValue value)`
`java.lang.Object` | `visit_OCTET(Parser.OCTET rule)`
`java.lang.Object` | `visit_pct_encoded(Parser.pct_encoded rule)`
`java.lang.Object` | `visit_port(Parser.port rule)`
`java.lang.Object` | `visit_relative_xri_part(Parser.relative_xri_part rule)`
`java.lang.Object` | `visit_relative_xri_ref(Parser.relative_xri_ref rule)`
`java.lang.Object` | `visit_reserved(Parser.reserved rule)`
`java.lang.Object` | `visit_scheme(Parser.scheme rule)`
`java.lang.Object` | `visit_SP(Parser.SP rule)`
`java.lang.Object` | `visit_StringValue(Parser.StringValue value)`
`java.lang.Object` | `visit_sub_delims(Parser.sub_delims rule)`
`java.lang.Object` | `visit_subseg(Parser.subseg rule)`
`java.lang.Object` | `visit_ucschar(Parser.ucschar rule)`
`java.lang.Object` | `visit_unreserved(Parser.unreserved rule)`
`java.lang.Object` | `visit_VCHAR(Parser.VCHAR rule)`
`java.lang.Object` | `visit_WSP(Parser.WSP rule)`
`java.lang.Object` | `visit_xref_empty(Parser.xref_empty rule)`
`java.lang.Object` | `visit_xref_IRI(Parser.xref_IRI rule)`
`java.lang.Object` | `visit_xref_xri_reference(Parser.xref_xri_reference rule)`
`java.lang.Object` | `visit_xref(Parser.xref rule)`
`java.lang.Object` | `visit_xri_authority(Parser.xri_authority rule)`
`java.lang.Object` | `visit_xri_gen_delims(Parser.xri_gen_delims rule)`
`java.lang.Object` | `visit_xri_hier_part(Parser.xri_hier_part rule)`
`java.lang.Object` | `visit_xri_path_abempty(Parser.xri_path_abempty rule)`
`java.lang.Object` | `visit_xri_path_abs(Parser.xri_path_abs rule)`
`java.lang.Object` | `visit_xri_path_noscheme(Parser.xri_path_noscheme rule)`
`java.lang.Object` | `visit_xri_path(Parser.xri_path rule)`
`java.lang.Object` | `visit_xri_pchar_nc(Parser.xri_pchar_nc rule)`
`java.lang.Object` | `visit_xri_pchar(Parser.xri_pchar rule)`
`java.lang.Object` | `visit_xri_reference(Parser.xri_reference rule)`
`java.lang.Object` | `visit_xri_reserved(Parser.xri_reserved rule)`
`java.lang.Object` | `visit_xri_segment_nc(Parser.xri_segment_nc rule)`
`java.lang.Object` | `visit_xri_segment_nz(Parser.xri_segment_nz rule)`
`java.lang.Object` | `visit_xri_segment(Parser.xri_segment rule)`
`java.lang.Object` | `visit_xri_sub_delims(Parser.xri_sub_delims rule)`
`java.lang.Object` | `visit_xri(Parser.xri rule)`
`void` | `visit(Rule rule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDisplayer

    public XmlDisplayer()

Method Detail

### visit

    public void visit(Rule rule)

  Specified by:
    `visit` in interface `Visitor`

### visit_xri

    public java.lang.Object visit_xri(Parser.xri rule)

  Specified by:
    `visit_xri` in interface `Visitor`

### visit_xri_reference

    public java.lang.Object visit_xri_reference(Parser.xri_reference rule)

  Specified by:
    `visit_xri_reference` in interface `Visitor`

### visit_relative_xri_ref

    public java.lang.Object visit_relative_xri_ref(Parser.relative_xri_ref rule)

  Specified by:
    `visit_relative_xri_ref` in interface `Visitor`

### visit_relative_xri_part

    public java.lang.Object visit_relative_xri_part(Parser.relative_xri_part rule)

  Specified by:
    `visit_relative_xri_part` in interface `Visitor`

### visit_xri_hier_part

    public java.lang.Object visit_xri_hier_part(Parser.xri_hier_part rule)

  Specified by:
    `visit_xri_hier_part` in interface `Visitor`

### visit_xri_authority

    public java.lang.Object visit_xri_authority(Parser.xri_authority rule)

  Specified by:
    `visit_xri_authority` in interface `Visitor`

### visit_subseg

    public java.lang.Object visit_subseg(Parser.subseg rule)

  Specified by:
    `visit_subseg` in interface `Visitor`

### visit_global_subseg

    public java.lang.Object visit_global_subseg(Parser.global_subseg rule)

  Specified by:
    `visit_global_subseg` in interface `Visitor`

### visit_local_subseg

    public java.lang.Object visit_local_subseg(Parser.local_subseg rule)

  Specified by:
    `visit_local_subseg` in interface `Visitor`

### visit_gcs_char

    public java.lang.Object visit_gcs_char(Parser.gcs_char rule)

  Specified by:
    `visit_gcs_char` in interface `Visitor`

### visit_lcs_char

    public java.lang.Object visit_lcs_char(Parser.lcs_char rule)

  Specified by:
    `visit_lcs_char` in interface `Visitor`

### visit_literal

    public java.lang.Object visit_literal(Parser.literal rule)

  Specified by:
    `visit_literal` in interface `Visitor`

### visit_literal_nc

    public java.lang.Object visit_literal_nc(Parser.literal_nc rule)

  Specified by:
    `visit_literal_nc` in interface `Visitor`

### visit_xref

    public java.lang.Object visit_xref(Parser.xref rule)

  Specified by:
    `visit_xref` in interface `Visitor`

### visit_xref_empty

    public java.lang.Object visit_xref_empty(Parser.xref_empty rule)

  Specified by:
    `visit_xref_empty` in interface `Visitor`

### visit_xref_xri_reference

    public java.lang.Object visit_xref_xri_reference(Parser.xref_xri_reference rule)

  Specified by:
    `visit_xref_xri_reference` in interface `Visitor`

### visit_xref_IRI

    public java.lang.Object visit_xref_IRI(Parser.xref_IRI rule)

  Specified by:
    `visit_xref_IRI` in interface `Visitor`

### visit_xri_path

    public java.lang.Object visit_xri_path(Parser.xri_path rule)

  Specified by:
    `visit_xri_path` in interface `Visitor`

### visit_xri_path_abempty

    public java.lang.Object visit_xri_path_abempty(Parser.xri_path_abempty rule)

  Specified by:
    `visit_xri_path_abempty` in interface `Visitor`

### visit_xri_path_abs

    public java.lang.Object visit_xri_path_abs(Parser.xri_path_abs rule)

  Specified by:
    `visit_xri_path_abs` in interface `Visitor`

### visit_xri_path_noscheme

    public java.lang.Object visit_xri_path_noscheme(Parser.xri_path_noscheme rule)

  Specified by:
    `visit_xri_path_noscheme` in interface `Visitor`

### visit_xri_segment

    public java.lang.Object visit_xri_segment(Parser.xri_segment rule)

  Specified by:
    `visit_xri_segment` in interface `Visitor`

### visit_xri_segment_nz

    public java.lang.Object visit_xri_segment_nz(Parser.xri_segment_nz rule)

  Specified by:
    `visit_xri_segment_nz` in interface `Visitor`

### visit_xri_segment_nc

    public java.lang.Object visit_xri_segment_nc(Parser.xri_segment_nc rule)

  Specified by:
    `visit_xri_segment_nc` in interface `Visitor`

### visit_xri_pchar

    public java.lang.Object visit_xri_pchar(Parser.xri_pchar rule)

  Specified by:
    `visit_xri_pchar` in interface `Visitor`

### visit_xri_pchar_nc

    public java.lang.Object visit_xri_pchar_nc(Parser.xri_pchar_nc rule)

  Specified by:
    `visit_xri_pchar_nc` in interface `Visitor`

### visit_xri_reserved

    public java.lang.Object visit_xri_reserved(Parser.xri_reserved rule)

  Specified by:
    `visit_xri_reserved` in interface `Visitor`

### visit_xri_gen_delims

    public java.lang.Object visit_xri_gen_delims(Parser.xri_gen_delims rule)

  Specified by:
    `visit_xri_gen_delims` in interface `Visitor`

### visit_xri_sub_delims

    public java.lang.Object visit_xri_sub_delims(Parser.xri_sub_delims rule)

  Specified by:
    `visit_xri_sub_delims` in interface `Visitor`

### visit_IRI

    public java.lang.Object visit_IRI(Parser.IRI rule)

  Specified by:
    `visit_IRI` in interface `Visitor`

### visit_scheme

    public java.lang.Object visit_scheme(Parser.scheme rule)

  Specified by:
    `visit_scheme` in interface `Visitor`

### visit_ihier_part

    public java.lang.Object visit_ihier_part(Parser.ihier_part rule)

  Specified by:
    `visit_ihier_part` in interface `Visitor`

### visit_iauthority

    public java.lang.Object visit_iauthority(Parser.iauthority rule)

  Specified by:
    `visit_iauthority` in interface `Visitor`

### visit_iuserinfo

    public java.lang.Object visit_iuserinfo(Parser.iuserinfo rule)

  Specified by:
    `visit_iuserinfo` in interface `Visitor`

### visit_ihost

    public java.lang.Object visit_ihost(Parser.ihost rule)

  Specified by:
    `visit_ihost` in interface `Visitor`

### visit_IP_literal

    public java.lang.Object visit_IP_literal(Parser.IP_literal rule)

  Specified by:
    `visit_IP_literal` in interface `Visitor`

### visit_IPvFuture

    public java.lang.Object visit_IPvFuture(Parser.IPvFuture rule)

  Specified by:
    `visit_IPvFuture` in interface `Visitor`

### visit_IPv6address

    public java.lang.Object visit_IPv6address(Parser.IPv6address rule)

  Specified by:
    `visit_IPv6address` in interface `Visitor`

### visit_ls32

    public java.lang.Object visit_ls32(Parser.ls32 rule)

  Specified by:
    `visit_ls32` in interface `Visitor`

### visit_h16

    public java.lang.Object visit_h16(Parser.h16 rule)

  Specified by:
    `visit_h16` in interface `Visitor`

### visit_IPv4address

    public java.lang.Object visit_IPv4address(Parser.IPv4address rule)

  Specified by:
    `visit_IPv4address` in interface `Visitor`

### visit_dec_octet

    public java.lang.Object visit_dec_octet(Parser.dec_octet rule)

  Specified by:
    `visit_dec_octet` in interface `Visitor`

### visit_ireg_name

    public java.lang.Object visit_ireg_name(Parser.ireg_name rule)

  Specified by:
    `visit_ireg_name` in interface `Visitor`

### visit_port

    public java.lang.Object visit_port(Parser.port rule)

  Specified by:
    `visit_port` in interface `Visitor`

### visit_ipath_abempty

    public java.lang.Object visit_ipath_abempty(Parser.ipath_abempty rule)

  Specified by:
    `visit_ipath_abempty` in interface `Visitor`

### visit_ipath_abs

    public java.lang.Object visit_ipath_abs(Parser.ipath_abs rule)

  Specified by:
    `visit_ipath_abs` in interface `Visitor`

### visit_ipath_rootless

    public java.lang.Object visit_ipath_rootless(Parser.ipath_rootless rule)

  Specified by:
    `visit_ipath_rootless` in interface `Visitor`

### visit_ipath_empty

    public java.lang.Object visit_ipath_empty(Parser.ipath_empty rule)

  Specified by:
    `visit_ipath_empty` in interface `Visitor`

### visit_isegment

    public java.lang.Object visit_isegment(Parser.isegment rule)

  Specified by:
    `visit_isegment` in interface `Visitor`

### visit_isegment_nz

    public java.lang.Object visit_isegment_nz(Parser.isegment_nz rule)

  Specified by:
    `visit_isegment_nz` in interface `Visitor`

### visit_iquery

    public java.lang.Object visit_iquery(Parser.iquery rule)

  Specified by:
    `visit_iquery` in interface `Visitor`

### visit_iprivate

    public java.lang.Object visit_iprivate(Parser.iprivate rule)

  Specified by:
    `visit_iprivate` in interface `Visitor`

### visit_ifragment

    public java.lang.Object visit_ifragment(Parser.ifragment rule)

  Specified by:
    `visit_ifragment` in interface `Visitor`

### visit_ipchar

    public java.lang.Object visit_ipchar(Parser.ipchar rule)

  Specified by:
    `visit_ipchar` in interface `Visitor`

### visit_iunreserved

    public java.lang.Object visit_iunreserved(Parser.iunreserved rule)

  Specified by:
    `visit_iunreserved` in interface `Visitor`

### visit_pct_encoded

    public java.lang.Object visit_pct_encoded(Parser.pct_encoded rule)

  Specified by:
    `visit_pct_encoded` in interface `Visitor`

### visit_ucschar

    public java.lang.Object visit_ucschar(Parser.ucschar rule)

  Specified by:
    `visit_ucschar` in interface `Visitor`

### visit_reserved

    public java.lang.Object visit_reserved(Parser.reserved rule)

  Specified by:
    `visit_reserved` in interface `Visitor`

### visit_gen_delims

    public java.lang.Object visit_gen_delims(Parser.gen_delims rule)

  Specified by:
    `visit_gen_delims` in interface `Visitor`

### visit_sub_delims

    public java.lang.Object visit_sub_delims(Parser.sub_delims rule)

  Specified by:
    `visit_sub_delims` in interface `Visitor`

### visit_unreserved

    public java.lang.Object visit_unreserved(Parser.unreserved rule)

  Specified by:
    `visit_unreserved` in interface `Visitor`

### visit_ALPHA

    public java.lang.Object visit_ALPHA(Parser.ALPHA rule)

  Specified by:
    `visit_ALPHA` in interface `Visitor`

### visit_BIT

    public java.lang.Object visit_BIT(Parser.BIT rule)

  Specified by:
    `visit_BIT` in interface `Visitor`

### visit_CHAR

    public java.lang.Object visit_CHAR(Parser.CHAR rule)

  Specified by:
    `visit_CHAR` in interface `Visitor`

### visit_CR

    public java.lang.Object visit_CR(Parser.CR rule)

  Specified by:
    `visit_CR` in interface `Visitor`

### visit_CRLF

    public java.lang.Object visit_CRLF(Parser.CRLF rule)

  Specified by:
    `visit_CRLF` in interface `Visitor`

### visit_CTL

    public java.lang.Object visit_CTL(Parser.CTL rule)

  Specified by:
    `visit_CTL` in interface `Visitor`

### visit_DIGIT

    public java.lang.Object visit_DIGIT(Parser.DIGIT rule)

  Specified by:
    `visit_DIGIT` in interface `Visitor`

### visit_DQUOTE

    public java.lang.Object visit_DQUOTE(Parser.DQUOTE rule)

  Specified by:
    `visit_DQUOTE` in interface `Visitor`

### visit_HEXDIG

    public java.lang.Object visit_HEXDIG(Parser.HEXDIG rule)

  Specified by:
    `visit_HEXDIG` in interface `Visitor`

### visit_HTAB

    public java.lang.Object visit_HTAB(Parser.HTAB rule)

  Specified by:
    `visit_HTAB` in interface `Visitor`

### visit_LF

    public java.lang.Object visit_LF(Parser.LF rule)

  Specified by:
    `visit_LF` in interface `Visitor`

### visit_LWSP

    public java.lang.Object visit_LWSP(Parser.LWSP rule)

  Specified by:
    `visit_LWSP` in interface `Visitor`

### visit_OCTET

    public java.lang.Object visit_OCTET(Parser.OCTET rule)

  Specified by:
    `visit_OCTET` in interface `Visitor`

### visit_SP

    public java.lang.Object visit_SP(Parser.SP rule)

  Specified by:
    `visit_SP` in interface `Visitor`

### visit_VCHAR

    public java.lang.Object visit_VCHAR(Parser.VCHAR rule)

  Specified by:
    `visit_VCHAR` in interface `Visitor`

### visit_WSP

    public java.lang.Object visit_WSP(Parser.WSP rule)

  Specified by:
    `visit_WSP` in interface `Visitor`

### visit_StringValue

    public java.lang.Object visit_StringValue(Parser.StringValue value)

  Specified by:
    `visit_StringValue` in interface `Visitor`

### visit_NumericValue

    public java.lang.Object visit_NumericValue(Parser.NumericValue value)

  Specified by:
    `visit_NumericValue` in interface `Visitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.